.footer {
    position: relative;

    background: radial-gradient(circle at center, #011391 40%, #0120F7 100%);
    padding: 50px 20px;

    display: flex;
    justify-content: center;

    margin-top: 60px;
}

.footer::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;

    width: 100%;
    height: 12px;

    background-color: #FFC107;
}

.footer::before {
    content: '';
    position: absolute;
    top: -12px;
    left: 0;

    width: 100%;
    height: 6px;

    background-color: #0120F7;
}

.footer__container {
    width: 500px;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.footer__logo {
    filter: brightness(0) invert(1);
    width: 246px;
}

.footer__nav {
    width: 100%;
}

.footer__nav ul {
    display: flex;
    justify-content: space-between;

    list-style: none;
}

.footer__nav ul li a {
    font-family: 'Roboto', sans-serif;
    font-size: 16px;

    text-decoration: none;

    color: white;
}

.footer__nav ul li a:hover {
    color: rgb(187, 187, 187);
}

.footer__social {
    display: flex;
    align-items: center;
    gap: 10px;

    width: 100%;
}

.footer__social-linha {
    width: 100%;
    height: 2px;
    background-color: white;
}

.footer__social img {
    width: 50px;
}


@media screen and (max-width: 500px) {
    .footer {
        background: radial-gradient(circle at center, #061bb9 10%, #0120F7 100%);
        padding: 30px 20px;
    }

    .footer::after {
        height: 6px;
    }

    .footer__logo {
        filter: brightness(0) invert(1);
        width: 150px;
    }

    .footer__nav {
        width: 100%;
    }

    .footer__nav ul {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    .footer__social img {
        width: 40px;
    }
}